RankSharkDocs
Businesses

A business's logo

RankShark TrackScopetrack:read

GET
/v1/track/clients/{id}/logo

The image white-label reports show (PNG, JPEG, WebP or SVG); 404 when it has none. logoVersion in the business list changes when it does.

Scope: track:read.

Authorization

headerAuthorizationBearer <rstk_… API key or OAuth access token>

A Track API key (rstk_…, Settings → API & MCP) or an OAuth access token issued for this API

Path Parameters

id*string

Business id (tc_…). A malformed id is 404 not_found.

Match^tc_[A-Za-z0-9]{10,40}$

Response Body

The image

response?file
Formatbinary
Example Request
curl -X GET 'https://panel.rankshark.io/v1/track/clients/tc_5Rw8Jn3Ys2QeLk/logo'
Example Response
"string"